%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%global modname tw2.sqla

Name:           python-tw2-sqla
Version:        2.0.6
Release:        7%{?dist}
Summary:        SQLAlchemy database layer for ToscaWidgets2

Group:          Development/Languages
License:        MIT
URL:            http://toscawidgets.org
Source0:        http://pypi.python.org/packages/source/t/%{modname}/%{modname}-%{version}.tar.gz
BuildArch:      noarch

# For building
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  python-tw2-core >= 2.1.4
BuildRequires:  python-tw2-forms >= 2.1.4.1
BuildRequires:  python-tw2-dynforms
%if 0%{?rhel} && 0%{?rhel} <= 6
BuildRequires:  python-sqlalchemy0.7 >= 0.7
%else
BuildRequires:  python-sqlalchemy >= 0.7
%endif
BuildRequires:  python-zope-sqlalchemy

# For tests
BuildRequires:  python-nose
BuildRequires:  python-formencode
BuildRequires:  python-BeautifulSoup
BuildRequires:  python-strainer
BuildRequires:  python-webtest
BuildRequires:  python-elixir
BuildRequires:  python-sieve

# Templates for the test suite
BuildRequires:  python-genshi
BuildRequires:  python-mako
BuildRequires:  python-chameleon
BuildRequires:  python-kajiki
BuildRequires:  python-jinja2

# It doesn't *actually* need these, but its setup.py claims it does.
# And so, we comply.
BuildRequires:  python-turbokid
BuildRequires:  python-turbocheetah


# Runtime requirements
Requires:  python-tw2-forms >= 2.1.4.1
Requires:  python-tw2-dynforms
%if 0%{?rhel} && 0%{?rhel} <= 6
Requires:  python-sqlalchemy0.7 >= 0.7
%else
Requires:  python-sqlalchemy >= 0.7
%endif
Requires:  python-zope-sqlalchemy

%description
tw2.sqla is a database layer for ToscaWidgets 2 and SQLAlchemy. It allows common
database tasks to be achieved with minimal code.

%prep
%setup -q -n %{modname}-%{version}

%if 0%{?rhel} && 0%{?rhel} <= 6

# Make sure that epel/rhel picks up the correct version of webob *and* SA
awk 'NR==1{print "import __main__; __main__.__requires__ = __requires__ = [\"WebOb>=1.0\", \"sqlalchemy>=0.7\"]; import pkg_resources"}1' setup.py > setup.py.tmp
mv setup.py.tmp setup.py

# Remove all the fancy nosetests configuration for older python
rm setup.cfg

%endif


%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build \
    --install-data=%{_datadir} --root %{buildroot}

# Disable tests for now.  They're failing upstream.
#%check
#%if 0%{?rhel}
## Don't actually run tests on el or f18.  There's an issue with python-elixir.
#%else
#PYTHONPATH=$(pwd) python setup.py test
#%endif

%files
%doc README.rst LICENSE
%{python_sitelib}/tw2/sqla
%{python_sitelib}/%{modname}-%{version}-*-nspkg.pth
%{python_sitelib}/%{modname}-%{version}-*.egg-info

%changelog
* Mon Jul 06 2015 Ralph Bean <rbean@redhat.com> - 2.0.6-7
- Fix rhel conditionals... again?
- Add dep on python-sieve for tests.
- Disable tests.  They're failing upstream.

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.6-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Nov 13 2014 Ralph Bean <rbean@redhat.com> - 2.0.6-5
- Fix rhel conditionals.

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 28 2013 Ralph Bean <rbean@redhat.com> - 2.0.6-2
- Conditionalize tests for rawhide.

* Fri Feb 22 2013 Ralph Bean <rbean@redhat.com> - 2.0.6-1
- Latest upstream.

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri May 04 2012 Ralph Bean <rbean@redhat.com> - 2.0.1-3
- Fixed (again) incorrect directory ownership.

* Thu May 03 2012 Ralph Bean <rbean@redhat.com> - 2.0.1-2
- Fixed directory ownership issue.

* Wed May 02 2012 Ralph Bean <rbean@redhat.com> - 2.0.1-1
- New upstream release, contains LICENSE.

* Wed May 02 2012 Ralph Bean <rbean@redhat.com> - 2.0.0-2
- Removed clean section
- Removed defattr in files section
- Removed unnecessary references to buildroot

* Wed Apr 11 2012 Ralph Bean <rbean@redhat.com> - 2.0.0-1
- Initial packaging for Fedora
